aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorXin Li <delphij@google.com>2019-05-13 15:39:09 -0700
committerXin Li <delphij@google.com>2019-05-13 15:39:09 -0700
commit56a8151f8f300ef232b344d7844747372033f622 (patch)
treeeb8ec8c22ed1fd1492071c873d026332f1c1fd4e
parentbf56d241efc94ba8dab3f89788946a00c35e0a63 (diff)
parent16f60feafc759ce4fd374201465f78b9c8abc7d0 (diff)
downloadsystem-test-harness-temp_b_132622481_stage-aosp-master.tar.gz
DO NOT MERGE - Merge pi-platform-release (PPRL.190505.001) into stage-aosp-mastertemp_b_132622481_stage-aosp-master
Bug: 132622481 Change-Id: I47f38925bccde09a88aa63acf104ce7146f5e501
l---------BUILD.gtest1
-rw-r--r--WORKSPACE18
-rwxr-xr-xscripts/release-tests.sh4
3 files changed, 12 insertions, 11 deletions
diff --git a/BUILD.gtest b/BUILD.gtest
new file mode 120000
index 0000000..fc79edf
--- /dev/null
+++ b/BUILD.gtest
@@ -0,0 +1 @@
+../../core/nugget/BUILD.gtest \ No newline at end of file
diff --git a/WORKSPACE b/WORKSPACE
index 36b1015..c30e236 100644
--- a/WORKSPACE
+++ b/WORKSPACE
@@ -1,25 +1,27 @@
workspace(name = "nugget_test_systemtestharness")
-new_http_archive(
+load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
+
+http_archive(
name = "gtest",
url = "https://github.com/google/googletest/archive/release-1.8.0.zip",
- build_file = "../../core/nugget/BUILD.gtest",
+ build_file = "@//:BUILD.gtest",
sha256 = "f3ed3b58511efd272eb074a3a6d6fb79d7c2e6a0e374323d1e6bcbcc1ef141bf",
strip_prefix = "googletest-release-1.8.0",
)
http_archive(
name = "com_google_protobuf",
- url = "https://github.com/google/protobuf/archive/v3.5.0.zip",
- strip_prefix = "protobuf-3.5.0",
- sha256 = "cef7f1b5a7c5fba672bec2a319246e8feba471f04dcebfe362d55930ee7c1c30",
+ url = "https://github.com/google/protobuf/archive/v3.6.1.2.zip",
+ strip_prefix = "protobuf-3.6.1.2",
+ sha256 = "d6618d117698132dadf0f830b762315807dc424ba36ab9183f1f436008a2fdb6",
)
http_archive(
name = "com_google_protobuf_cc",
- url = "https://github.com/google/protobuf/archive/v3.5.0.zip",
- strip_prefix = "protobuf-3.5.0",
- sha256 = "cef7f1b5a7c5fba672bec2a319246e8feba471f04dcebfe362d55930ee7c1c30",
+ url = "https://github.com/google/protobuf/archive/v3.6.1.2.zip",
+ strip_prefix = "protobuf-3.6.1.2",
+ sha256 = "d6618d117698132dadf0f830b762315807dc424ba36ab9183f1f436008a2fdb6",
)
http_archive(
diff --git a/scripts/release-tests.sh b/scripts/release-tests.sh
index 155e9ac..9b7378f 100755
--- a/scripts/release-tests.sh
+++ b/scripts/release-tests.sh
@@ -25,12 +25,10 @@ function keymaster_cts_tests() {
function keymaster_vts_tests() {
m -j VtsHalKeymasterV4_0TargetTest || return 1
adb sync data || return 1
- # TODO(b/109771020): remove test filter below.
adb shell \
/data/nativetest64/VtsHalKeymasterV4_0TargetTest/VtsHalKeymasterV4_0TargetTest \
--verbose \
- --hal_service_instance=android.hardware.keymaster@4.0::IKeymasterDevice/strongbox \
- --gtest_filter=-EncryptionOperationsTest.RsaNoPaddingShortMessage || return 1
+ --hal_service_instance=android.hardware.keymaster@4.0::IKeymasterDevice/strongbox || return 1
}
function weaver_cts_tests() {